Get AgreementsDeprecated
Return agreements from Quinyx WFM. Deprecated — use wsdlGetAgreementsV2 instead.
Request
API key of the unit.
Internal section id, set to 0 if no selection shall be done on section
Internal employee id, set to 0 if no selection shall be done on employee id
Employee badge no, leave empty if no selection shall be done on badge no
Selects agreements that has been modified after this date, leave empty if this selection shall be ignored.
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
-H 'Content-Type: text/xml; charset=utf-8' \
-H 'SOAPAction: "uri:FlexForce/GetAgreements"' \
--data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetAgreements>
<apiKey xsi:type="xsd:string">string</apiKey>
<sectionId xsi:type="xsd:int">0</sectionId>
<employeeId xsi:type="xsd:int">0</employeeId>
<badgeNo xsi:type="xsd:string">string</badgeNo>
<lastModified xsi:type="xsd:string">string</lastModified>
</tns:wsdlGetAgreements>
</soap:Body>
</soap:Envelope>
EOFResponse
Array of Agreement records; payload type for the legacy wsdlGetAgreements.
The full agreement record returned by wsdlGetAgreements (deprecated — use wsdlGetAgreementsV2).
Internal id of the agreement.
Internal id of the employee.
Employee badge no.
Full-time working hours.
Not used.
Not used.
Hourly salary — the first salary entry on the agreement.
Not used.
Not used.
Not used.
Schedule period type.
Not used.
First day in the schedule period.
Number of days or months in the schedule period.
Average working hours per week.
Employment level, where 1.00 = 100%. The first employment rate on the agreement.
Internal template id; use wsdlGetAgreementTemplates to list agreement templates and their ids. Set to 0 if no template shall be assigned to the agreement.
Indicates whether the employee is hourly employed.
Agreement start date.
Agreement end date. If expires is 0 (false) this date is unused, as the agreement then never expires.
Indicates whether the agreement has an expiry date.
Free comment text.
List of future absence.
List of bank holidays.
Not used.
Not used.
Not used.
Lists the employee's notices of interest.
Not used.
Timestamp of when the agreement was last modified.
Internal id of the unit.
External id of the agreement. Can be used in integrations to identify the agreement with an external code; also supported when updating via wsdlUpdateAgreements.
Indicates whether punched breaks shall be rounded to match scheduled breaks.
List of time-punch derivation rules.
List of overtime methods related to the agreement.
Indicates whether the agreement is the employee's main agreement.
Free text field.
Free text field.
Free text field.
Free text field.
Free text field.
The first salary entry on the agreement.
Agreement's name.
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetAgreementsResponse>
<return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:Agreement[1]">
<item xsi:type="tns:Agreement">
<id xsi:type="xsd:int">56781</id>
<persId xsi:type="xsd:int">15436</persId>
<badgeNo xsi:type="xsd:string">string</badgeNo>
<weekHours xsi:type="xsd:decimal">40.10</weekHours>
<minHours xsi:type="xsd:decimal">0.00</minHours>
<maxHours xsi:type="xsd:decimal">0.00</maxHours>
<salary xsi:type="xsd:decimal">156.00</salary>
<premiumSalary xsi:type="xsd:decimal">0.00</premiumSalary>
<premiumSalary2 xsi:type="xsd:decimal">0.00</premiumSalary2>
<premiumSalary3 xsi:type="xsd:decimal">0.00</premiumSalary3>
<periodType xsi:type="xsd:int">0</periodType>
<periodDay xsi:type="xsd:int">0</periodDay>
<periodStart xsi:type="xsd:date">2024-01-01</periodStart>
<periodLength xsi:type="xsd:int">7</periodLength>
<weeklyAvg xsi:type="xsd:decimal">40.00</weeklyAvg>
<empLevel xsi:type="xsd:decimal">1.00</empLevel>
<templateId xsi:type="xsd:int">879</templateId>
<hourly xsi:type="xsd:int">0</hourly>
<fromDate xsi:type="xsd:date">2024-01-01</fromDate>
<toDate xsi:type="xsd:date">2024-01-01</toDate>
<expires xsi:type="xsd:int">0</expires>
<comment xsi:type="xsd:string">string</comment>
<vacations xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:Vacation[1]">
<item xsi:type="tns:Vacation">
<fromDate xsi:type="xsd:date">2024-01-01</fromDate>
<fromTime xsi:type="xsd:string">string</fromTime>
<toDate xsi:type="xsd:date">2024-01-01</toDate>
<toTime xsi:type="xsd:string">string</toTime>
</item>
</vacations>
<redDays xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
<item xsi:type="xsd:string">string</item>
</redDays>
<overTime1 xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:OverTime[1]">
<item xsi:type="tns:OverTime">
<startPeriod1 xsi:type="xsd:int">0</startPeriod1>
<endPeriod1 xsi:type="xsd:int">0</endPeriod1>
<startPeriod2 xsi:type="xsd:int">0</startPeriod2>
<endPeriod2 xsi:type="xsd:int">0</endPeriod2>
</item>
</overTime1>
<overTime2 xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:OverTime[1]">
<item xsi:type="tns:OverTime">
<startPeriod1 xsi:type="xsd:int">0</startPeriod1>
<endPeriod1 xsi:type="xsd:int">0</endPeriod1>
<startPeriod2 xsi:type="xsd:int">0</startPeriod2>
<endPeriod2 xsi:type="xsd:int">0</endPeriod2>
</item>
</overTime2>
<overTime3 xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:OverTime[1]">
<item xsi:type="tns:OverTime">
<startPeriod1 xsi:type="xsd:int">0</startPeriod1>
<endPeriod1 xsi:type="xsd:int">0</endPeriod1>
<startPeriod2 xsi:type="xsd:int">0</startPeriod2>
<endPeriod2 xsi:type="xsd:int">0</endPeriod2>
</item>
</overTime3>
<xtrawork xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:Xtrawork[1]">
<item xsi:type="tns:Xtrawork">
<fromDate xsi:type="xsd:date">2024-01-01</fromDate>
<fromTime xsi:type="xsd:string">string</fromTime>
<toDate xsi:type="xsd:date">2024-01-01</toDate>
<toTime xsi:type="xsd:string">string</toTime>
</item>
</xtrawork>
<shifts xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:Shift[1]">
<item xsi:type="tns:Shift">
<scheduleId xsi:type="xsd:string">134</scheduleId>
<begDate xsi:type="xsd:date">2018-01-02</begDate>
<endDate xsi:type="xsd:date">2018-01-02</endDate>
<begTime xsi:type="xsd:string">12:26:00</begTime>
<endTime xsi:type="xsd:string">17:26:00</endTime>
<begBreak xsi:type="xsd:string">00:00:00</begBreak>
<endBreak xsi:type="xsd:string">00:00:00</endBreak>
<begBreak2 xsi:type="xsd:string">00:00:00</begBreak2>
<endBreak2 xsi:type="xsd:string">00:00:00</endBreak2>
<begBreak3 xsi:type="xsd:string">00:00:00</begBreak3>
<endBreak3 xsi:type="xsd:string">00:00:00</endBreak3>
<begBreak4 xsi:type="xsd:string">00:00:00</begBreak4>
<endBreak4 xsi:type="xsd:string">00:00:00</endBreak4>
<persId xsi:type="xsd:string">16</persId>
<badgeNo xsi:type="xsd:string">19888</badgeNo>
<shiftCategoryId xsi:type="xsd:string">10</shiftCategoryId>
<agreementId xsi:type="xsd:int">0</agreementId>
<extScheduleId xsi:type="xsd:string">string</extScheduleId>
<deleteShift xsi:type="xsd:int">0</deleteShift>
<sectionId xsi:type="xsd:int">0</sectionId>
<extSectionId xsi:type="xsd:string">string</extSectionId>
<comment xsi:type="xsd:string">Description content</comment>
<countsAsScheduledHours xsi:type="xsd:boolean">true</countsAsScheduledHours>
<isFreeDay xsi:type="xsd:boolean">true</isFreeDay>
<shiftTypeExtCode xsi:type="xsd:string">string</shiftTypeExtCode>
<costCentreId xsi:type="xsd:int">0</costCentreId>
<costCentreExtCode xsi:type="xsd:string">string</costCentreExtCode>
<projectId xsi:type="xsd:int">0</projectId>
<projectExtCode xsi:type="xsd:string">string</projectExtCode>
<accountId xsi:type="xsd:int">0</accountId>
<accountExtCode xsi:type="xsd:string">string</accountExtCode>
<replaceTasks xsi:type="xsd:boolean">true</replaceTasks>
<tasks xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:Task[1]">
<item xsi:type="tns:Task">
<shiftTypeExtCode xsi:type="xsd:string">string</shiftTypeExtCode>
<shiftTypeId xsi:type="xsd:int">12</shiftTypeId>
<begTime xsi:type="xsd:string">14:45:00</begTime>
<endTime xsi:type="xsd:string">15:15:00</endTime>
</item>
</tasks>
<applyShiftTypeRules xsi:type="xsd:boolean">true</applyShiftTypeRules>
<validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
<item xsi:type="xsd:string">string</item>
</validationErrors>
</item>
</shifts>
<ts xsi:type="xsd:dateTime">2016-02-29T16:49:22+01:00</ts>
<restId xsi:type="xsd:int">193</restId>
<extAgreementId xsi:type="xsd:string">X001</extAgreementId>
<roundingBreaks xsi:type="xsd:int">0</roundingBreaks>
<punchRoundings xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:punchRounding[1]">
<item xsi:type="tns:punchRounding">
<type xsi:type="xsd:int">0</type>
<punchPart xsi:type="xsd:int">0</punchPart>
<insideShift xsi:type="xsd:int">0</insideShift>
<roundingRule xsi:type="xsd:int">0</roundingRule>
<minutes xsi:type="xsd:decimal">0</minutes>
</item>
</punchRoundings>
<agreementOvertimeMethods xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:agreementOvertimeMethod[1]">
<item xsi:type="tns:agreementOvertimeMethod">
<overtimeMethodId xsi:type="xsd:int">0</overtimeMethodId>
<order xsi:type="xsd:int">0</order>
</item>
</agreementOvertimeMethods>
<isMainAgreement xsi:type="xsd:boolean">true</isMainAgreement>
<additionalField1 xsi:type="xsd:string">string</additionalField1>
<additionalField2 xsi:type="xsd:string">string</additionalField2>
<additionalField3 xsi:type="xsd:string">string</additionalField3>
<additionalField4 xsi:type="xsd:string">string</additionalField4>
<additionalField5 xsi:type="xsd:string">string</additionalField5>
<monthlySalary xsi:type="xsd:decimal">0</monthlySalary>
<customMonthlyHoursDivisor xsi:type="xsd:decimal">0</customMonthlyHoursDivisor>
<name xsi:type="xsd:string">string</name>
</item>
</return>
</tns:wsdlGetAgreementsResponse>
</soap:Body>
</soap:Envelope>Change log
| Date | Description |
|---|---|
| 2016-02-29 | Updated to new format |
| 2016-02-29 | Added new information: - new overtime methods - Punch rounding - isMainAgreement |